SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
brief: '%'
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
- Copyright (C) 1988, 2008 On-Line Applications Research Corporation (OAR)
definition:
  default:
    attributes: null
    body: null
    params:
    - int ${.:/params[0]/name}
    - int ${.:/params[1]/name}
    - ${api-class-information:/name} *${.:/params[2]/name}
    return: ${../../status/if/code:/name}
  variants: []
description: null
enabled-by: true
index-entries: []
interface-type: function
links:
- role: interface-placement
  uid: header
- role: interface-ingroup
  uid: group
name: rtems_object_get_class_information
notes: null
params:
- description: '%'
  dir: null
  name: the_api
- description: '%'
  dir: null
  name: the_class
- description: '%'
  dir: null
  name: info
return:
  return: null
  return-values: []
type: interface
